Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.parser
Class Base64ReadHandler

    java.lang.Object
      org.jfree.xml.parser.AbstractXmlReadHandler
          org.jfree.xml.parser.Base64ReadHandler

All Implemented Interfaces:
  XmlReadHandler

Deprecated. base64 encoded elements are no longer supported ...

    public class Base64ReadHandler

extends AbstractXmlReadHandler

A read handler for Base64 encoded elements.

Constructor Summary
`Base64ReadHandler()` Deprecated. Creates a new handler.

Method Summary
`void` | `characters(char[] ch, int start, int length)` Deprecated. Process character data.
`java.lang.Object` | `getObject()` Deprecated. Returns the object under construction.

Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler
`doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement, startParsing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64ReadHandler

    public Base64ReadHandler()

  Deprecated.
  Creates a new handler.

Method Detail

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Deprecated.
  Process character data.

  Specified by:
    `characters` in interface `XmlReadHandler`
  Overrides:
    `characters` in class `AbstractXmlReadHandler`
  Parameters:
    `ch` - the character buffer.
    `start` - the start index.
    `length` - the number of characters.
  Throws:
    `org.xml.sax.SAXException` - ???.

### getObject

    public java.lang.Object getObject()
                               throws XmlReaderException

  Deprecated.
  Returns the object under construction.

  Returns:
    the object
  Throws:
    `XmlReaderException` - ???.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD